<?
require'../config.php';
$align='left';
$title='Письмо Админу';
aut();
head();
who_add(0,'enter');
session_start();
session_name("SID");
$mail = ''.$set['mail'].'';


function mod($txt){

             $txt=str_replace("&","", $txt);
             $txt=str_replace("$","", $txt); 
             $txt=str_replace(">","", $txt);
             $txt=str_replace("<","", $txt);
             $txt=str_replace("~","", $txt);
             $txt=str_replace("`","", $txt);
             $txt=str_replace('"',"", $txt);
             $txt=str_replace("'","", $txt);
             $txt=str_replace("\n","", $txt);
             $txt=str_replace("\r","", $txt);                 
             $txt=str_replace("\"","",$txt);
             $txt=htmlspecialchars($txt); 
             $txt=stripslashes(trim($txt));
             return $txt;}



if(isset($_GET)){foreach($_GET as $key=>$value){$_GET[$key]=mod($value);}}

if(isset($_POST)){foreach($_POST as $key=>$value){$_POST[$key]=mod($value);}}

if(isset($_SESSION)){foreach($_SESSION as $key=>$value){$_SESSION[$key]=mod($value);}}

if(isset($_COOKIE)){foreach($_COOKIE as $key=>$value){$_COOKIE[$key]=mod($value);}}




$mode = (isset($_POST['mode'])) ? $_POST['mode'] : NULL;
if($mode =='send')
{$error = array();
if(empty($_POST['namef'])) $error[]='Ошибка! <br>Вы не заполнили поле "Фамилия".<br>'; // Если не нужна проверка, то закомментировать
if(empty($_POST['namei'])) $error[]='Ошибка! <br>Вы не заполнили поле "Имя".<br>'; // Если не нужна проверка, то закомментировать
if(empty($_POST['nameo'])) $error[]='Ошибка! <br>Вы не заполнили поле "Отчество".<br>'; // Если не нужна проверка, то закомментировать
if(empty($_POST['phone'])) $error[]='Ошибка! <br>Вы не заполнили поле "Телефон".<br>'; // Если не нужна проверка, то закомментировать
if(empty($_POST['email'])) $error[]='Ошибка! <br>Вы не заполнили поле "E-mail".<br>'; // Если не нужна проверка, то закомментировать
elseif(!preg_match("/^([-a-z0-9_.]+)@((?:[-a-z0-9_]+\.)*(?:info|mobi|name|biz|com|net|org|ae|au|az|be|br|by|bz|ca|cc|ch|cn|cz|de|dk|do|ee|eo|es|eu|fi|fr|hu|il|in|iz|jp|kg|kr|kz|lt|lv|mn|mx|nl|no|nz|pl|ro|ru|si|sk|su|tv|tw|ua|uk|us|uz|ws|yu|za|im|tk|sh))\.?$/i",$_POST['email']))$error[]='Ошибка! Формат "E-mail" адреса неверен.'; // Если не нужна проверка, то закомментировать
$email_arr = explode("@" , $_POST['email']); // Проверяем на существование E-mail
$host = $email_arr[1];
if (!getmxrr($host, $mxhostsarr)) $error[]='Ошибка! Указанный "E-mail" не существует.'; // Если не нужна проверка, то закомментировать
if(empty($_POST['message'])) $error[]='Ошибка! Вы не заполнили поле "Сообщение".';
if(empty($_POST['code'])) 
$error[]='Ошибка! Вы не заполнили поле "Проверочный код".'; 
if(isset($_POST['code']) && $_POST['code'] !== $_SESSION['keystring']) $error[]='Ошибка! "Проверочный код" неверен.';
if($error)
{foreach($error AS $key=>$value){echo $value.'';}}
else{if(preg_match("/Opera Mini/i", $_SERVER['HTTP_USER_AGENT']))  
{ preg_match_all("|([0-9]{1,3}\.){3}[0-9]{1,3}|",$_SERVER['HTTP_X_FORWARDED_FOR'],$arr_ip);  
$ip = $arr_ip[0][0];  
if(empty($ip)) $ip=$_SERVER['REMOTE_ADDR'];  
$ua = "Opera Mini/ ".$_SERVER['HTTP_X_OPERAMINI_PHONE_UA'];  
if(empty($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])) $ua=$_SERVER['HTTP_USER_AGENT']; }else {
$ip = $_SERVER['REMOTE_ADDR'];  
$ua = $_SERVER['HTTP_USER_AGENT'];  
} 
//$ua = substr($ua, 0, 28);
if(!empty($_POST['message'])) // Отправляем письмо
$subject = 'Письмо с сайта'; // Тема письма
$message .= "Посетитель ".$_POST['namef']."  ".$_POST['namei']."  ".$_POST['nameo']."  отправил письмо с сайта http://".$_SERVER["HTTP_HOST"]." . \n\n";
$message .= "Его сообщение: ".$_POST['message']." .\n";
$message .= "Контактные данные:\n";
$message .=  "Телефон: ".$_POST['phone']." .\n";
$message .=  "Email: ".$_POST['email']." .\n";
$message .=  "- - - - - \n";
$message .=  "IP-адрес: ".$ip." \n";
$message .=  "Браузер: ".$ua." \n";
$headers = "From: ".$_POST['email']." <".$_POST['email'].">\r\n";
$headers .= "Content-Type: text/plain; charset=utf-8\n";
if(mail($mail, '=?utf-8?B?'.base64_encode(''.$subject.'').'?=', $message, $headers))
echo '<b>Сообщение отправлено.</b><br>';
else
echo '<b>Возникли проблемы при отправке.</b><br>';}}
?>
Помеченные знаком (*) обязательны к заполнению!<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
*Фамилия:<br><input name="namef" type="text" size="12" /><br/>*Имя:<br><input name="namei" type="text" size="12" /><br/>*Отчество:<br><input name="nameo" type="text" size="12" /><br/>*Телефон:<br><input name="phone" type="text" size="12" value="+" /><br/>*E-mail:<br><input name="email" type="text" size="12" value="@" /><br/>*Сообщение:<br><input name="message" size="12" type="text" /><br/><?php include 'captcha.php';?><br/>   *Проверочный код:<br><input name="code" size="12" type="text" maxlength="3" /><br/><input name="mode" type="hidden" value="send" />
<input type="submit" value="Отправить" /></form>
<?
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
?>